[package]
name = "ygg_driver_virtio_gpu"
version = "0.1.0"
edition = "2021"

[dependencies]
yggdrasil-abi.workspace = true
libk-util.workspace = true
libk-mm.workspace = true
libk.workspace = true
device-api = { workspace = true, features = ["derive"] }

ygg_driver_virtio_core = { path = "../core" }
ygg_driver_pci = { path = "../../bus/pci", optional = true }

log.workspace = true
bytemuck.workspace = true
async-trait.workspace = true

[features]
default = []
pci = ["ygg_driver_pci", "ygg_driver_virtio_core/pci"]
